Bug 85301 - Error 404 on package details for any package
Summary: Error 404 on package details for any package
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Red Hat Satellite QA List
URL: http://rhnweb-lbn.rdu-colo.redhat.com...
Whiteboard:
Keywords:
Depends On:
Blocks: 83475 85587
TreeView+ depends on / blocked
 
Reported: 2003-02-27 18:37 UTC by Dave Johnson
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-27 00:55:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Johnson 2003-02-27 18:37:33 UTC
How Reproducible:


Steps to Reproduce:
1. Go to http://rhn.redhat.com/network/index.pxt and login (my username is "dwid")
2. Select "systems" -> select an individual system (I selected an AS 2.1 system)
3. Select "packages" -> "List/remove installed packages"
4. Select *any* package

Actual Results:

Error 404, Page Not Found

(https://rhn.redhat.com/network/software/packages/unknown_package.pxt?id_combo=500000839|700009421)

Expected Results:

RHN should return a page displaying the package details.

Additional Information:

Comment 1 Josef Komenda 2003-02-27 19:09:00 UTC
AS2.1 package details works fine for me - is this the system called 'nastyman'?
I don't see it being subscribed to a channel right now - try going to the 
System Details => Channels page and setting the base channel to AS and see if
that fixes things. 

We've seen this happen when a base channel goes away and the machine is 'orphaned'. 

Comment 2 Bret McMillan 2003-02-27 21:01:34 UTC
There *was* a problem.  The unknown_package.pxt file should be there... if a
user installs, say, some ximian package we know nothing about, he could make it
to that page.

The fact that Dave got there is another issue, though.... his base channel
seemed to have disappeared... that might be a separate bug.

Fixed in cvs.

Comment 3 Josef Komenda 2003-03-03 21:49:47 UTC
Looks good, over to QA.

Comment 4 Josef Komenda 2003-03-27 00:55:59 UTC
Looks good in QA, closing.


Note You need to log in before you can comment on or make changes to this bug.